Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455955 - Double click doesnt work on already-selected items
Summary: Double click doesnt work on already-selected items
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 9
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 08:54 UTC by Dams
Modified: 2015-03-03 22:32 UTC (History)
4 users (show)

Fixed In Version: 2.22.5.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-25 08:30:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 543599 None None None Never

Description Dams 2008-07-19 08:54:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko Galeon/2.0.5

Description of problem:
In whatever nautilus window (even in Desktop), if I want to open an item (it can be a launcher, or a directory), I double click on it. 

Though if that specific item has already been opened (even if closed right after) and is still selected I just cannot re-open it without previously releasing the nautilus focus (either by selecting something else, either by click onto nothing).

Version-Release number of selected component (if applicable):
nautilus(0:2.22.4-1.fc9).x86_64

How reproducible:
Always


Steps to Reproduce:
1. Double click on your home on your nautilus Desktop (the window opens)
2. Leave the home icon selected on the Desktop
3. Close the home window.
4. Double click on your home icon again

Actual Results:
Nothing.

Expected Results:
The home window should have opened again. Or if you havent closed it, it should raise and be focused by your window manager.

Additional info:
The enter key still works and opens the item no matter what. 
Problems also happens on launchers.

Comment 1 William Lovaton 2008-07-19 19:02:22 UTC
Yes, I see this annoying bug too.  Please, fix this soon.

I'll try to find if this bug report have been filed upstream and link them together.

Comment 2 Nils Philippsen 2008-07-20 16:43:25 UTC
According to updtream, this regression is fixed in 2.22.5.1.

Comment 3 Tomáš Bžatek 2008-07-21 12:01:57 UTC
nautilus-2.22.5.1-1.fc9 is available in updates-testing repo for some time, feel
free to test and add karma to
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-6399

Comment 4 Nils Philippsen 2008-07-21 12:37:17 UTC
I can confirm that nautilus-2.22.5.1-1.fc9 fixes this issue for me.

Comment 5 Dams 2008-07-22 17:02:17 UTC
Sounds really good to me.

Comment 6 Nils Philippsen 2008-07-23 07:11:46 UTC
We should wait until this is available as a stable update before closing the
bug. Tomáš, would you also add the Bugzilla ticket number to the update request?

Comment 7 Tomáš Bžatek 2008-07-25 08:30:11 UTC
nautilus-2.22.5.1-1.fc9 has been pushed to dist-f9-updates, closing (I wonder
why this has not been done automatically, bodhi ticket contains this bug no.)


Note You need to log in before you can comment on or make changes to this bug.